Content / REST API

Update content inspiration

Edit saved status or optional save rationale without changing source facts or invoking AI.

PATCH /api/v1/content/inspirationDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
idRequired · string
See the input schema for this field.
isSavedOptional · boolean
See the input schema for this field.
notesOptional · string | null
See the input schema for this field.
Request example
curl -X PATCH "https://app.pipeline.help/api/v1/content/inspiration" \
  -H "Authorization: Bearer $PIPELINE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"id":"00000000-0000-4000-8000-000000000001","isSaved":true,"notes":"Keep this reference for concise question-led hooks."}'
Full input schema
Input schema
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "workspaceId": {
      "type": "string",
      "format": "uuid"
    },
    "id": {
      "type": "string",
      "format": "uuid"
    },
    "isSaved": {
      "type": "boolean"
    },
    "notes": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "id"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview